## org.exist.xmldb.test.concurrent.action
Class ComplexUpdateAction

    java.lang.Object
      org.exist.xmldb.test.concurrent.action.Action
          org.exist.xmldb.test.concurrent.action.ComplexUpdateAction

public class ComplexUpdateAction
extends Action

Author:
  wolf

Constructor Summary
`ComplexUpdateAction(java.lang.String collectionPath, java.lang.String resourceName, int repeat)`

Method Summary
`boolean` `execute()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComplexUpdateAction

    public ComplexUpdateAction(java.lang.String collectionPath,
                               java.lang.String resourceName,
                               int repeat)

Parameters:
  `collectionPath` -
  `resourceName` -

Method Detail

### execute

    public boolean execute()
                    throws java.lang.Exception

  Specified by:
    `execute` in class `Action`
  Throws:
    `java.lang.Exception`

Copyright (C) Wolfgang Meier. All rights reserved.